    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ------------------
    028     * SeriesDataset.java
    029     * ------------------
    030     * (C) Copyright 2000-2005, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: SeriesDataset.java,v 1.4.2.1 2005/10/25 21:32:29 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 17-Nov-2001 : Version 1 (DG);
    040     * 07-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    041     * 19-May-2005 : Changed getSeriesName() --> getSeriesKey() and added indexOf()
    042     *               method (DG);
    043     *
    044     */
    045
    046    package org.jfree.data.general;
    047
    048    import org.jfree.data.category.CategoryDataset;
    049    import org.jfree.data.xy.IntervalXYDataset;
    050    import org.jfree.data.xy.IntervalXYZDataset;
    051    import org.jfree.data.xy.XYDataset;
    052    import org.jfree.data.xy.XYZDataset;
    053
    054    /**
    055     * The interface for a dataset consisting of one or many series of data.
    056     *
    057     * @see CategoryDataset
    058     * @see IntervalXYDataset
    059     * @see IntervalXYZDataset
    060     * @see XYDataset
    061     * @see XYZDataset
    062     *
    063     */
    064
    065    public interface SeriesDataset extends Dataset {
    066
    067        /**
    068         * Returns the number of series in the dataset.
    069         *
    070         * @return The series count.
    071         */
    072        public int getSeriesCount();
    073
    074        /**
    075         * Returns the key for a series.
    076         *
    077         * @param series  the series (zero-based index).
    078         *
    079         * @return The key for the series.
    080         */
    081        public Comparable getSeriesKey(int series);
    082
    083        /**
    084         * Returns the index of the named series, or -1.
    085         *
    086         * @param seriesKey  the series key.
    087         *
    088         * @return The index.
    089         */
    090        public int indexOf(Comparable seriesKey);
    091
    092    }